diff autogen.sh @ 13187:7e34397e134e

[gaim-migrate @ 15550] Finish the switch to glib-gettext. committer: Tailor Script <tailor@pidgin.im>
author Richard Laager <rlaager@wiktel.com>
date Wed, 08 Feb 2006 21:01:56 +0000
parents 5adc0c9da9f3
children 44a8d46ee3c1
line wrap: on
line diff
--- a/autogen.sh	Wed Feb 08 20:57:17 2006 +0000
+++ b/autogen.sh	Wed Feb 08 21:01:56 2006 +0000
@@ -1,10 +1,8 @@
 #!/bin/sh
 
-SETUP_GETTEXT=./setup-gettext
-
-($SETUP_GETTEXT --gettext-tool) < /dev/null > /dev/null 2>&1 || {
+(intltoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo;
-	echo "You must have gettext installed to compile Gaim";
+	echo "You must have intltool installed to compile Gaim";
 	echo;
 	exit;
 }
@@ -33,17 +31,6 @@
 echo "Generating configuration files for Gaim, please wait...."
 echo;
 
-# Backup the po/ChangeLog. This should prevent the annoying
-# gettext ChangeLog modifications.
-
-cp -p po/ChangeLog po/ChangeLog.save
-
-echo "Running gettextize, please ignore non-fatal messages...."
-$SETUP_GETTEXT
-
-# Restore the po/ChangeLog file.
-mv po/ChangeLog.save po/ChangeLog
-
 echo "Running libtoolize, please ignore non-fatal messages...."
 echo n | libtoolize --copy --force || exit;